Announcement

Collapse
No announcement yet.

fglrx module won't load on Ubuntu 7.10

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • robrichard
    replied
    Ren H?ek, Thank you so much. That was exactly my problem. Great timing too, I was about 8 seconds away from doing a reinstall.

    Leave a comment:


  • Ren H?ek
    replied
    Originally posted by robrichard View Post
    OK, big problems here.

    I tried installing the fglrx 8.42.3 on my HP nw8240 laptop, following this guide. http://wiki.cchtml.com/index.php/Ubu...allation_Guide I am unable to load the module after the install is complete. I tried removing everything and going back to the driver included in the gutsy repos but that fglrx module won't load either. When I run 'modprobe fglrx' I get no output, but the module is not found under lsmod. I also tried 'sudo insmod fglrx.ko' in the /lib/modules/2.26.22-14-generic/misc directory but I get "insmod: error inserting 'fglrx.ko': -1 Operation not permitted".

    I've tried checking the libGL links in /lib and everything seems normal.

    The card in the laptop is a firegl v5000, but it is recognized as a Radeon Mobility X700, pci id 1002:5653. I don't think its a problem that it's a firegl.

    Any one have any advice for me?
    I had also the problem of module not loading after a flawless installation.

    Please try this:
    Code:
    $ modprobe -vf fglrx
    If the output is something like this:
    Code:
    install /sbin/lrm-video fglrx
    ...you will have to modify the file "/etc/modprobe.d/lrm-video"
    Comment out the line with fglrx:
    Code:
    #install fglrx /sbin/lrm-video fglrx $CMDLINE_OPTS
    Maybe it will help...
    ...I'm sorry if not.

    Leave a comment:


  • robrichard
    replied
    I've done all that already. Even after fglrx was removed from the restricted modules file, the module still would not load. Anyway I'm back now attempting to get 8.42.3 and I still cannot get the module to load. Thanks your help though.

    Leave a comment:


  • ]--Freeman--[
    replied
    Well, if you have uninstalled fglrx 8.42.3, you have to remove the fglrx module from /etc/default/linux-restricted-modules-common. This means that your DISABLED_MODULES must be empty (only with the symbols ""). When you had done this, then you'll be able to install the driver included in the gutsy repos with linux-restricted-manager.

    Anyway, I've got to install fglrx 8.42.3 following this steps:

    1- Uninstall xorg-fglrx-driver and linux-restricted-manager.

    2- Set the driver like vesa.

    3- Install the driver 8.42.3 running the .run file with sudo.

    4- Set the driver like fglrx.

    If you have questions about xorg.conf, look at this post:

    http://www.phoronix.com/forums/showthread.php?t=6016

    In this post, it is my xorg.conf.

    May be help you this.

    Regards.

    Leave a comment:


  • robrichard
    started a topic fglrx module won't load on Ubuntu 7.10

    fglrx module won't load on Ubuntu 7.10

    OK, big problems here.

    I tried installing the fglrx 8.42.3 on my HP nw8240 laptop, following this guide. http://wiki.cchtml.com/index.php/Ubu...allation_Guide I am unable to load the module after the install is complete. I tried removing everything and going back to the driver included in the gutsy repos but that fglrx module won't load either. When I run 'modprobe fglrx' I get no output, but the module is not found under lsmod. I also tried 'sudo insmod fglrx.ko' in the /lib/modules/2.26.22-14-generic/misc directory but I get "insmod: error inserting 'fglrx.ko': -1 Operation not permitted".

    I've tried checking the libGL links in /lib and everything seems normal.

    The card in the laptop is a firegl v5000, but it is recognized as a Radeon Mobility X700, pci id 1002:5653. I don't think its a problem that it's a firegl.

    Any one have any advice for me?
Working...
X